import { Scope, ScopeModel, ContainerRef } from '../types';
export declare const DEFAULT_SCOPE = "stack";
export declare const SCOPE_KEY = "factoryStack";
declare global {
    interface Window {
        [SCOPE_KEY]: ScopeModel;
    }
}
export declare const registerContainer: (scope: Scope, ref: ContainerRef) => ContainerRef;
export declare const unregisterContainer: (scope: Scope) => void;
export declare const getContainer: (scope?: string | undefined) => ContainerRef;
